Loading...
Searching...
No Matches
boost_adaptbx::python::streambuf_capsule Struct Reference

`#include <python_streambuf.h>`

Inheritance diagram for boost_adaptbx::python::streambuf_capsule:

## Public Member Functions

| streambuf_capsule (bp::object &python_file_obj, std::size_t buffer_size=0)

## Public Attributes

streambuf | python_streambuf

## Detailed Description

Definition at line 550 of file python_streambuf.h.

## Constructor & Destructor Documentation

## streambuf_capsule()

boost_adaptbx::python::streambuf_capsule::streambuf_capsule | ( | bp::object & | python_file_obj,
|  | std::size_t | buffer_size = 0 )

inline

Definition at line 553 of file python_streambuf.h.

References python_streambuf.

Referenced by boost_adaptbx::python::ostream::ostream().

## Member Data Documentation

## python_streambuf

streambuf boost_adaptbx::python::streambuf_capsule::python_streambuf

Definition at line 551 of file python_streambuf.h.

Referenced by boost_adaptbx::python::ostream::ostream(), and streambuf_capsule().

The documentation for this struct was generated from the following file:

- python_streambuf.h